var firebaseUtils = {
  /**
   * configuration
   */
  config: {
/*    apiKey: 'AIzaSyBnqcxB9tpxsOu9PNKTvd0OuXi7k7zx0NE',
    authDomain: 'behandam-test.firebaseapp.com',
    projectId: 'behandam-test',
    storageBucket: 'behandam-test.appspot.com',
    messagingSenderId: '343455511841',
    appId: '1:343455511841:web:19fc501195f6b0c1567a60',
    measurementId: 'G-7FGHS67SXD',*/
    apiKey: '-',
    authDomain: '-',
    projectId: '-',
    storageBucket: '-',
    messagingSenderId: '-',
    appId: '-',
    measurementId: '-',

    // first create this at
    // https://firebase.google.com/docs/cloud-messaging/js/client?authuser=1#configure_web_credentials_in_your_app
    vapidKey:
      '-'
  },

  /**
   * Get notification title and options from notif payload
   * @param payload [recived from firebase messaging]
   * @returns {{options: Object, title: String}}
   */
  getNotifFromPayload: function(payload) {
    var notif = payload.notification || {}
    var data = payload.data || {}
    if (!data.title) data.title = notif.title
    if (!data.description) data.description = notif.body

    var options = {
      dir: 'rtl',
      data: data,
      body: data.description,
      icon: 'img/icons/android-chrome-192x192.png',
      badge: 'img/icons/android-chrome-512x512.png'
    }

    return { title: data.title, options: options }
  }
}

if (typeof exports === 'object') {
  module.exports = firebaseUtils
}
